## EmpathyChatWindow

EmpathyChatWindow

## Synopsis

                        EmpathyChatWindowPriv;
                        EmpathyChatWindow;
    EmpathyChatWindow*  empathy_chat_window_get_default     (void);
    EmpathyChatWindow*  empathy_chat_window_new             (void);
    GtkWidget*          empathy_chat_window_get_dialog      (EmpathyChatWindow *window);
    void                empathy_chat_window_add_chat        (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);
    void                empathy_chat_window_remove_chat     (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);
    void                empathy_chat_window_move_chat       (EmpathyChatWindow *old_window,
                                                             EmpathyChatWindow *new_window,
                                                             EmpathyChat *chat);
    void                empathy_chat_window_switch_to_chat  (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);
    gboolean            empathy_chat_window_has_focus       (EmpathyChatWindow *window);
    EmpathyChat*        empathy_chat_window_find_chat       (McAccount *account,
                                                             const gchar *id);

## Object Hierarchy

      GObject
       +----EmpathyChatWindow

## Description

## Details

### EmpathyChatWindowPriv

    typedef struct _EmpathyChatWindowPriv EmpathyChatWindowPriv;

### EmpathyChatWindow

    typedef struct _EmpathyChatWindow EmpathyChatWindow;

### empathy_chat_window_get_default ()

    EmpathyChatWindow*  empathy_chat_window_get_default     (void);

Returns : |

### empathy_chat_window_new ()

    EmpathyChatWindow*  empathy_chat_window_new             (void);

Returns : |

### empathy_chat_window_get_dialog ()

    GtkWidget*          empathy_chat_window_get_dialog      (EmpathyChatWindow *window);

`window` : |
Returns : |

### empathy_chat_window_add_chat ()

    void                empathy_chat_window_add_chat        (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);

`window` : |
`chat` : |

### empathy_chat_window_remove_chat ()

    void                empathy_chat_window_remove_chat     (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);

`window` : |
`chat` : |

### empathy_chat_window_move_chat ()

    void                empathy_chat_window_move_chat       (EmpathyChatWindow *old_window,
                                                             EmpathyChatWindow *new_window,
                                                             EmpathyChat *chat);

`old_window` : |
`new_window` : |
`chat` : |

### empathy_chat_window_switch_to_chat ()

    void                empathy_chat_window_switch_to_chat  (EmpathyChatWindow *window,
                                                             EmpathyChat *chat);

`window` : |
`chat` : |

### empathy_chat_window_has_focus ()

    gboolean            empathy_chat_window_has_focus       (EmpathyChatWindow *window);

`window` : |
Returns : |

### empathy_chat_window_find_chat ()

    EmpathyChat*        empathy_chat_window_find_chat       (McAccount *account,
                                                             const gchar *id);

`account` : |
`id` : |
Returns : |